com.informix.jdbc

## Class IfxByteArrayInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ByteArrayInputStream
    - - com.informix.jdbc.IfxByteArrayInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class IfxByteArrayInputStream
    extends java.io.ByteArrayInputStream

JDBC 2.0 A IfxByteArrayInputStream is a subclass of ByteArrayInputStream. This class will overwrite ByteArrayInputStream's close method to delete the output stream member variable.

### Field Summary

### Fields inherited from class java.io.ByteArrayInputStream

`buf, count, mark, pos`

### Constructor Summary

Constructors
Constructor and Description
`IfxByteArrayInputStream(byte[] buffer)`
`IfxByteArrayInputStream(java.io.ByteArrayOutputStream ostream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `finalize()`

### Methods inherited from class java.io.ByteArrayInputStream

`available, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`read`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxByteArrayInputStream

    public IfxByteArrayInputStream(java.io.ByteArrayOutputStream ostream)

#### IfxByteArrayInputStream

    public IfxByteArrayInputStream(byte[] buffer)

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.ByteArrayInputStream`
Throws:
  `java.io.IOException`

#### finalize

    public void finalize()

Overrides:
  `finalize` in class `java.lang.Object`